CREATE OR REPLACE PROCEDURE ADD_BITPROCE_PROCE (FECHABITACORA IN DATE,TOTAL IN FLOAT,IDHOPITALIZACION IN NUMBER) IS
BEGIN
    INSERT INTO BITACORAPROCEDIMIENTOS (FECHA_BITACORA,TOTAL,ID_HOPITALIZACION ) VALUES (FECHABITACORA,TOTAL,IDHOPITALIZACION);
END;


create or replace trigger BITPROCE_TRIGGER  
   before insert on "CLINICA"."BITACORAPROCEDIMIENTOS" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_BITACORA" is null then 
         select BITPROCE_SEQUENCE.nextval into :NEW."ID_BITACORA" from dual; 
      end if; 
   end if; 
end;
CREATE SEQUENCE BITPROCE_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;


